@echo off
echo off

%ECHO%
rem 10-03-94 12:05 cmb v0.0

if "%1" == "?" goto usage
if "%1" == "-?" goto usage
if "%1" == "" goto usage
if "%2" == "" goto usage

:* %1 is local drive (<drive>:, ok?  It MUST have a colon; no path!!)
:* %2 is system drive (X or X:) (scan from CD down)

%2:
%1global\global %1vercheck > %1mysys.raw
%1
bigperl\dos4gw bigperl\perl filter.pl mysys.raw > mysys.txt
sort16\sort16 -b +0 +1 mysys.txt > mysys.srt
fc mysys.srt cdrom402.sdf | more
goto exit

:usage
echo.
echo Usage:  runme local: SYS_volume_drive_mapping:
echo.
echo This command compares YOUR SYS: volume against a "standard" set, producing
echo a (too verbose, sorry 'bout that!) set of differences.  Update these files
echo before complaining about broken, buggy software.
echo.
goto exit

:exit
